import { s as t, y as l, e as c, g as a } from "./base-0db4ef3a.js";
var m = Object.defineProperty, x = Object.getOwnPropertyDescriptor, f = (s, r, p, v) => {
  for (var e = v > 1 ? void 0 : v ? x(r, p) : r, o = s.length - 1, n; o >= 0; o--)
    (n = s[o]) && (e = (v ? n(r, p, e) : n(e)) || e);
  return v && e && m(r, p, e), e;
};
let h = class extends t {
  render() {
    return l`
     <svg version="1.1" id="IconFloppy" x="0px" y="0px"
	 viewBox="0 0 216 216" style="enable-background:new 0 0 216 216;" xml:space="preserve">
		<path d="M48 48v98.5L69.5 168H168V48H48zm28 12h64v35H76V60zm55 96H85v-26h46v26zm25 0h-17v-34H77v34h-2.5L60 141.5V60h8v43h80V60h8v96z"/><path d="M95 135h8v18h-8z"/>
	</svg>
    `;
  }
};
h = f([
  c(a("icon"))
], h);
export {
  h as IconIconFloppy
};
